View Issue Details

IDProjectCategoryView StatusLast Update
0001562OpenMPTPlugins / VSTpublic2022-02-15 23:52
ReporterThe_Muzykant Assigned To 
PriorityhighSeveritymajorReproducibilityalways
Status newResolutionopen 
Platformx64OSWindowsOS Version10
Product VersionOpenMPT 1.30.02.00 / libopenmpt 0.6.1 (upgrade first) 
Summary0001562: Plugin Bridge Not Matching OpenMPT Version, and Unable to Locate the Plugin
Description

This occurs with the Magnus Smart Electronix Ambience plugin. This did not occur in the 1.30.01.00. Strangely this occurred for this update. This happens regardless of checking the box of "increasing compatibility for broken plugins" (just adding this detail in case). The plugin also seems to not be able to be located. I have tried doing a re-scan of the folder, but it still cannot detect it and the bridge is not matching the version of OpenMPT.

Not too sure if this is the plugin's fault or OpenMPT's.

TagsNo tags attached.
Has the bug occurred in previous versions?Nope.
Tested code revision (in case you know it)

Activities

The_Muzykant

The_Muzykant

2022-02-02 16:29

reporter  

The_Muzykant

The_Muzykant

2022-02-02 16:30

reporter   ~0005030

A workaround to this is to simply stick to 1.30.01.00. The plugin bridge can match the version of OpenMPT and the plugin can be detected.

Saga Musix

Saga Musix

2022-02-02 16:32

administrator   ~0005031

Last edited: 2022-02-02 16:32

I double-checked all the plugin bridge executables packged with the latest OpenMPT and they have the correct version. Maybe you are running an antivirus software that prevented one of the executables to be updated during the installation? You could try upgrading again and see if the problem persists.

Saga Musix

Saga Musix

2022-02-02 17:16

administrator   ~0005032

Also when you do the upgrade, pay attention if your antivirus shows any notification about "protecting" you by preventing the installer from replacing some files. I know this kind of "helpful" behaviour from antivirus programs has already caused issues for some users in the past, where the OpenMPT installer was not allowed to replace some files during an update. There's nothing we can do about that.

Saga Musix

Saga Musix

2022-02-09 12:10

administrator   ~0005059

So did you try upgrading to 1.30.02.00 again? There's not much we can do to help if you don't try it again.

The_Muzykant

The_Muzykant

2022-02-10 01:39

reporter   ~0005060

My apologies, I have not tried it yet. I had some academic commitments to handle, and also I was sticking to that version for now since I wanted to make something. I may try it today after my final test.

The_Muzykant

The_Muzykant

2022-02-11 03:56

reporter   ~0005069

Got an update: I temporarily turned off my real-time protection in Windows Defender, and then I installed the new version. Still doesn't work. It brings up the message again. I do not have any other anti-virus software. I also tried turning off my firewall temporarily to see if the message appears still upon loading the module, and yes, it does.

For the time being, I'm sticking with 1.30.02.00. Rather peculiar this is happening now, when it never happened with the older versions.

The_Muzykant

The_Muzykant

2022-02-11 03:59

reporter   ~0005070

Uh- correction: 1.30.01.00.

Saga Musix

Saga Musix

2022-02-11 11:11

administrator   ~0005073

Last edited: 2022-02-11 11:11

You should have the following plugin bridge files in your OpenMPT installation after a successful update to 1.30.02.00:

  • bin\x86\PluginBridge-x86.exe
  • bin\x86\PluginBridgeLegacy-x86.exe
  • bin\amd64\PluginBridge-amd64.exe
  • bin\amd64\PluginBridgeLegacy-amd64.exe
  1. Are there any other files starting with PluginBridge... in the installation folder?
  2. If you right-click the files mentioned above and go to Properties -> Details, can you confirm that the file and product versions for both are 1.30.02.00 and not 1.30.01.00?
Saga Musix

Saga Musix

2022-02-12 14:31

administrator   ~0005075

What could also be interesting is if the OpenMPT installtion folder itself is found in VirtualStore for whatever reason and if there are additional PluginBridge versions to be found there. VirtualStore can be found by typing %localappdata%\VirtualStore into the Explorer address bar. If you have installed OpenMPT in C:\Program Files\OpenMPT for example, try to see if there is a Program Files\OpenMPT subfolder in the VirtualStore.

The_Muzykant

The_Muzykant

2022-02-14 00:40

reporter   ~0005080

Ooh, now that you mentioned about the PluginBridge thing, I found that in my C:\ProgramFiles\OpenMPT there were plugin bridges from 1.30.01.00. I think the plugins were using those. Upon installation of the newer version, I checked in the bin folder that you mentioned and saw that there were plugin bridges for the new version.

And so, I deleted those old bridges that for some reason were outside of the bin folder, then reinstalled OpenMPT. It worked wonders! My file that had plugins could now detect the bridges properly in this newer version.

I did not find any subfolder for that under the VirtualStore thingy. I only saw Blackmagic Design, which is to do with Davinci Resolve, an editing software I have.

Saga Musix

Saga Musix

2022-02-14 08:11

administrator   ~0005081

Do you have any idea how those files could have ended up there? Did you try to use the .zip installation of OpenMPT first? I cannot quite understand how the installer would put those extra files there...

The_Muzykant

The_Muzykant

2022-02-15 23:52

reporter   ~0005091

In an older version, I used the portable version. I may have used the .zip one first, I believe. I can't recall. Could just be me messing around with the files. Hope that helps.

Also, I found that the .exe was in the bin folder. There was an exe outside of the bin folder too in the past. Likely because of the older versions. The way I install OpenMPT previously was that I would "install over" the older one. That didn't work out too well, now that I see.

Issue History

Date Modified Username Field Change
2022-02-02 16:29 The_Muzykant New Issue
2022-02-02 16:29 The_Muzykant File Added: Plugin Bridge Does Not Match OpenMPT Version.png
2022-02-02 16:30 The_Muzykant Note Added: 0005030
2022-02-02 16:32 Saga Musix Note Added: 0005031
2022-02-02 16:32 Saga Musix Note Edited: 0005031
2022-02-02 17:16 Saga Musix Note Added: 0005032
2022-02-09 12:10 Saga Musix Note Added: 0005059
2022-02-09 12:10 Saga Musix Status new => feedback
2022-02-10 01:39 The_Muzykant Note Added: 0005060
2022-02-10 01:39 The_Muzykant Status feedback => new
2022-02-11 03:56 The_Muzykant Note Added: 0005069
2022-02-11 03:59 The_Muzykant Note Added: 0005070
2022-02-11 11:11 Saga Musix Note Added: 0005073
2022-02-11 11:11 Saga Musix Note Edited: 0005073
2022-02-12 14:31 Saga Musix Note Added: 0005075
2022-02-14 00:40 The_Muzykant Note Added: 0005080
2022-02-14 08:11 Saga Musix Note Added: 0005081
2022-02-15 23:52 The_Muzykant Note Added: 0005091